MODULES=/modules
TMPPATH=/tmp

# some helper functions
insmod_helper() {
  if [ $# -lt 1 ]; then
    echo "Usage: insmod <module name>"
    return 1
  fi

  # if the file does not exist, skip it
  if [ ! -r $MODULES/$1.o.gz -a ! -r $MODULES/$1.ko.gz ] ; then return 100; fi
  if [ -r $MODULES/$1.o.gz ]; then ext=o; else ext=ko; fi
  gunzip -c - < $MODULES/$1.$ext.gz > $TMPPATH/$1.$ext
  # the -s option (log via syslog) is not supported on the busybox insmod
  insmod -k $TMPPATH/$1.$ext > /dev/null 2> /modules-loading ; RETVAL=$?
  rm -f $TMPPATH/$1.$ext
  
  if [ $RETVAL -ne 0 -a "$VERBOSE" = "yes" ]; then
    echo "Error: unable to load module $1, error was:"
    cat /modules-loading
  fi

  return $RETVAL
}

